geos::planargraph Namespace Reference

Contains classes to implement a planar graph data structure. More...

## Namespaces

namespace | algorithm
| Planargraph algorithms.

## Classes

class | DirectedEdge
| Represents a directed edge in a PlanarGraph. More...
class | DirectedEdgeStar
| A sorted collection of DirectedEdge which leave a Node in a PlanarGraph. More...
class | Edge
| Represents an undirected edge of a PlanarGraph. More...
class | GraphComponent
| The base class for all graph component classes. More...
class | Node
| A node in a PlanarGraph is a location where 0 or more Edge meet. More...
class | NodeMap
| A map of Node, indexed by the coordinate of the node. More...
class | PlanarGraph
| Represents a directed graph which is embeddable in a planar surface. More...
class | Subgraph
| A subgraph of a PlanarGraph. More...

## Functions

bool | pdeLessThan (DirectedEdge *first, DirectedEdge *second)
| Strict Weak comparator function for containers.
std::ostream & | operator<< (std::ostream &, const DirectedEdge &)
| Output operator.
std::ostream & | operator<< (std::ostream &os, const Edge &n)
| Print a Edge.
std::ostream & | operator<< (std::ostream &os, const Node &n)
| Print a Node.

## Detailed Description

Contains classes to implement a planar graph data structure.